shishi_tgs_sendrecv_hint(3)

NAME
shishi_tgs_sendrecv_hint - API function

SYNOPSIS
#include <shishi.h>

int shishi_tgs_sendrecv_hint(Shishi_tgs * tgs, Shishi_tkts_hint * hint);

ARGUMENTS

Shishi_tgs * tgs
    structure that holds information about TGS exchange

Shishi_tkts_hint * hint
    additional parameters that modify connection behaviour, or NULL.

DESCRIPTION
Send TGS-REQ and receive TGS-REP or KRB-ERROR. This is the subsequent authentication, usually used to acquire server tickets. The hint structure can be used to set, e.g., parameters for TLS authentication.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.